STANDARD-DB-OBJECT
Prev | Object Oriented Data Definition Language (OODDL) | Next

## Name

STANDARD-DB-OBJECT — Superclass for all CLSQL View Classes.Class

## Class Precedence List

standard-db-object, standard-object, t

## Description

This class is the superclass of all CLSQL View Classes.

## Class details

    (defclass STANDARD-DB-OBJECT ()(...))

## Slots

slot VIEW-DATABASE is of type (OR NULL DATABASE) which stores the associated database for the instance.

Prev | Up | Next
Object Oriented Data Definition Language (OODDL) | Home | *DEFAULT-STRING-LENGTH*